Bug 568374 - Redundant "Exit Installer" dialogs after saving traceback
Redundant "Exit Installer" dialogs after saving traceback
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-25 10:23 EST by James Laska
Modified: 2013-09-02 02:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-01 17:03:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Laska 2010-02-25 10:23:56 EST
Description of problem:

Reduntant dialogs after saving an exception

Version-Release number of selected component (if applicable):

 * anaconda-13.31

How reproducible:


Steps to Reproduce:
1. Follow the steps outlined in https://fedoraproject.org/wiki/QA:Testcase_Anaconda_save_traceback_to_bugzilla
  
                      ┌────────────┤ Save ├─────────────┐                       
                      │                                 │                       
                      │        ( ) Save to local        │                       
                      │                                 │                       
                      │      (*) Save to bugzilla       │                       
                      │                                 │                       
                      │ ( ) Save to remote server (scp) │                       
                      │                                 │                       
                      │    ┌────┐        ┌────────┐     │                       
                      │    │ OK │        │ Cancel │     │                       
                      │    └────┘        └────────┘     │                       
                      │                                 │                       
                      │                                 │                       
                      └─────────────────────────────────┘                
2. Save to bugzilla
       
                  ┌──────────┤ Save to bugzilla ├───────────┐                   
                  │                                         │                   
                  │ Username       ________________________ │                   
                  │ Password       ________________________ │                   
                  │ Bug Descriptionintentionally triggered_ │                   
                  │                                         │                   
                  │      ┌────┐            ┌────────┐       │                   
                  │      │ OK │            │ Cancel │       │                   
                  │      └────┘            └────────┘       │                   
                  │                                         │                   
                  │                                         │                   
                  └─────────────────────────────────────────┘        

3. Enter valid username and password           

    ┌───────────────────────────┤ Bug Updated ├───────────────────────────┐     
    │                                                                     │     
    │ A bug with your information already exists.  Your account has been  │     
    │ added to the CC list and your traceback added as a comment.  Please │     
    │ add additional descriptive information to the following bug:        │     
    │                                                                     │     
    │ https://bugzilla.redhat.com/534163                                  │     
    │                                                                     │     
    │                         ┌────────────────┐                          │     
    │                         │ Exit installer │                          │     
    │                         └────────────────┘                          │     
    │                                                                     │     
    │                                                                     │     
    └─────────────────────────────────────────────────────────────────────┘     

4. Select "Exit installer"

Actual results:

Another dialog with button 'Exit installer'
          ┌────────────────────┤ Dump Written ├─────────────────────┐           
          │                                                         │           
          │ The error file has been successfully written.  The      │           
          │ program will now exit.                                  │           
          │                                                         │           
          │                   ┌────────────────┐                    │           
          │                   │ Exit installer │                    │           
          │                   └────────────────┘                    │           
          │                                                         │           
          │                                                         │           
          └─────────────────────────────────────────────────────────┘           

Expected results:

Just one dialog that offers to exit the installer.

Additional info:
Comment 1 Chris Lumens 2010-02-25 10:25:53 EST
This is all going to change after the alpha when I merge in the report patches anyway.

Note You need to log in before you can comment on or make changes to this bug.